## org.metaabm.provider
Class MetaABMItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AInputItemProvider, IIDItemProvider, SImplementationItemProvider, TransientGroupedItemProvider

    public abstract class MetaABMItemProvider

extends org.eclipse.emf.edit.provider.ItemProviderAdapter
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.ITableItemLabelProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`MetaABMItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` `getColumnImage(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnImage.
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` `getCreateChildImage(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the icon image for `CreateChildCommand`.
`static java.util.Collection<?>` `ids(java.util.Collection<?> ids)`
`static java.util.Collection<?>` `idsCaps(java.util.Collection<?> ids)`
`static java.util.Collection<?>` `inputVals(java.util.Collection<org.metaabm.act.AInput> inputs)`
`boolean` `isDisplayAttributeReferences()`
`static java.util.Collection<?>` `labels(java.util.Collection<?> ids)`
`static MetaABMItemProvider` `providerFor(java.lang.Object o)`
`void` `setDisplayAttributeReferences(boolean _displayAttributeReferences)`
`java.lang.String` `suggestID(org.metaabm.IID object)`
`java.lang.String` `suggestLabel(org.metaabm.IID object)`
`static java.util.Collection<?>` `texts(java.util.Collection<?> ids)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, createCommand, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildren, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getString, getString, getString, getString, getText, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage, getText`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Constructor Detail

### MetaABMItemProvider

    public MetaABMItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### suggestLabel

    public java.lang.String suggestLabel(org.metaabm.IID object)

### suggestID

    public java.lang.String suggestID(org.metaabm.IID object)

### isDisplayAttributeReferences

    public boolean isDisplayAttributeReferences()

### setDisplayAttributeReferences

    public void setDisplayAttributeReferences(boolean _displayAttributeReferences)

### labels

    public static java.util.Collection<?> labels(java.util.Collection<?> ids)

### texts

    public static java.util.Collection<?> texts(java.util.Collection<?> ids)

### providerFor

    public static MetaABMItemProvider providerFor(java.lang.Object o)

### inputVals

    public static java.util.Collection<?> inputVals(java.util.Collection<org.metaabm.act.AInput> inputs)

### ids

    public static java.util.Collection<?> ids(java.util.Collection<?> ids)

### getCreateChildImage

    public java.lang.Object getCreateChildImage(java.lang.Object owner,
                                                java.lang.Object feature,
                                                java.lang.Object child,
                                                java.util.Collection<?> selection)

  This returns the icon image for `CreateChildCommand`.

  Specified by:
    `getCreateChildImage` in interface `org.eclipse.emf.edit.command.CreateChildCommand.Helper`
  Overrides:
    `getCreateChildImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getColumnImage

    public java.lang.Object getColumnImage(java.lang.Object object,
                                           int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnImage.

  Specified by:
    `getColumnImage` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### idsCaps

    public static final java.util.Collection<?> idsCaps(java.util.Collection<?> ids)